Tasking API

Cancel Tasking Campaign

The tasking order cancellation endpoint allows users to cancel pending tasking orders. They can only be cancelled while in the pending-approval state.

delete    /api/tasking/cancel

URL Parameters:

* Required

FieldDescription
id*The UUID of the target order to delete.

?id=00000000-0000-0000-0000-000000000000

Responses:

  • 200
  • 400
  • 401
  • 405
Successfully cancelled order.
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401
Past order cancellation period. Cannot cancel order.
No Example for Response Code: 405

Retrieve Tasking Opportunity

The Tasking Get endpoint provides facilities to retrieve a previously returned search result form a supplier.

post    /api/tasking/get

Request Body:

FieldTypeDescription
idstringOrdering ID of the opportunity you wish to retrieve.
No Example for request body

Responses:

  • 200
  • 400
  • 401
Successful Search
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

Order Tasking Capture

The New Tasking Order endpoint allows purchase of tasked imagery. Currently, once imagery is ordered billing will occur immediately and the capture will not be cancellable. Please ensure imagery satisfies your requirements before ordering.

post    /api/tasking/order

Request Body:

FieldTypeDescription
bundleKeystringThe key of the bundle/order level you wish for captures to be delivered as.
cloudintegerThe maximum cloud level you wish require for imagery capture. NOTE: must match one of the options returned in the search results
couponstringString coupon code to apply to discount the order pricing.
emailsarrayA list of email addresses (strings) that the order details will be sent to once the order is complete and ready for collection.
eulastringThe End User License Agreement (EULA) href provided in the search results to confirm acceptance.
idstringUnique ordering ID of the imagery to purchase, provided in the relevant search endpoint.
opportunitiesarrayList of opportunities to specifically order from a given result, keys must match opportunities from the original search result, and meet the min and max constraints provided in the search results.
paymentstringThe ID of the billing account to charge (if a paid order).
priorityKeystringThe key of the priority level you wish to purchase the capture with
teamstringThe ID of the team to attach the order to, if other than the default team for the API (used to control shared access to the order).
webhooksarrayA list of http/https addresses (strings) that the order details will be sent to once the order is complete and ready for collection.
No Example for request body

Responses:

  • 200
  • 202
  • 400
  • 401
  • 402
  • 403
  • 412
  • 422
Successfully Placed Order
No Example for Response Code: 200
Occurs when your order has been received and accepted, however it is awaiting your manager’s approval.
No Example for Response Code: 202
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401
Occurs when you have not specified a payment method or there is no default one configured on your account and you have ordered a commercial paid image.
No Example for Response Code: 402
Occurs when your order failed due to certain constraints applied to your account.
No Example for Response Code: 403
Occurs when you are using an unactivated API Account for an order that requires payment. Please visit the dashboard page for this API Account and activate it.
No Example for Response Code: 412
Occurs when an error ocurred with one or more orders placed after you were billed, while processing the order request with the supplier. Please contact support.
No Example for Response Code: 422

Batch Order Tasking Capture

The New Tasking Order Batch endpoint allows multiple tasking orders requesting imagery to be made at the same time. Currently, once imagery is ordered billing will occur immediately and the capture will not be cancellable. Please ensure imagery satisfies your requirements before ordering.

post    /api/tasking/order/batch

Request Body:

FieldTypeDescription
No Example for request body

Responses:

  • 200
  • 202
  • 400
  • 401
  • 402
  • 403
  • 412
  • 422
Successfully Placed Order
No Example for Response Code: 200
Occurs when your order has been received and accepted, however it is awaiting your manager’s approval.
No Example for Response Code: 202
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401
Occurs when you have not specified a payment method or there is no default one configured on your account and you have ordered a commercial paid image.
No Example for Response Code: 402
Occurs when your order failed due to certain constraints applied to your account.
No Example for Response Code: 403
Occurs when you are using an unactivated API Account for an order that requires payment. Please visit the dashboard page for this API Account and activate it.
No Example for Response Code: 412
Occurs when an error ocurred with one or more orders placed after you were billed, while processing the order request with the supplier. Please contact support.
No Example for Response Code: 422

Search Tasking Opportunities

The Tasking Search endpoint provides facilities to search Arlula and its suppliers for future capturing capacity. Start date, end date, and one of latLong, boundingBox or polygon are required.

post    /api/tasking/search

Request Body:

FieldTypeDescription
azimuthobjectThe range of acceptable azimuth angles for capture that a result must have to be returned
cloud
endstringThe end time of the period of interest. Must be in the future and after `start`. Results will not end later than this, but may end earlier depending on the supplier's maximum notice period.
gsd
offNadir
platformTypesarrayType of platform the capture must be captured by to match search criteria
platformsarrayArray of individual capture platforms that the imagery must have been captured with to match search criteria. An empty list will match any platform.
polarizationsarrayValid polarization modes the capture must be of to match search criteria. An empty list will match all polarization modes.
sensorTypesarrayThe type of sensor used to capture the imagery that will be permitted to satisfy this search request. An empty list will match any sensor type.
sortobjectControl the sorting behavior of the returned result list, omitting or empty string will result in the default sort.
spectralRangesarrayThe spectral ranges the imagery must overlap to match this search criteria. An empty list will match all spectral ranges.
startstringThe start time of the period of interest. Must be in the future. Tasking results will not begin earlier than this, but may start later depending on the supplier's minimum notice period.
suppliersarrayThe list of acceptable suppliers to fulfill this request.
No Example for request body

Responses:

  • 200
  • 400
  • 401
Successful Search
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401